Bug 1135465 (kde-cli-tools) - Review Request: kde-cli-tools - Tools based on KDE Frameworks 5 to better interact with the system
Summary: Review Request: kde-cli-tools - Tools based on KDE Frameworks 5 to better int...
Keywords:
Status: CLOSED RAWHIDE
Alias: kde-cli-tools
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-08-29 11:56 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-29 14:58:29 UTC
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 11:56:42 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kde-cli-tools.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kde-cli-tools-5.0.1-1.fc20.src.rpm
Description: Tools based on KDE Frameworks 5 to better interact with the system.
Fedora Account System Username: dvratil

Comment 1 Florian "der-flo" Lehner 2014-09-06 12:33:43 UTC
Issues:
=======
[ ] Development (unversioned) .so files in -devel subpackage, if present.
    Note: Unversioned so-files directly in %_libdir.
    See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

[ ] Package installs a %{name}.desktop using desktop-file-install or desktop-
    file-validate if there is such a file.

[ ] License file is missing

[ ] I've found stuff with GPL, GPL (v2 or later) and LGPL (v2 or later)
    Please mention this in the .spec

[ ] Please replace http://www.kde.org with https://projects.kde.org/projects/kde/workspace/kde-cli-tools in URL

[ ] Some more words for the description would be nice

Comment 2 Florian "der-flo" Lehner 2014-09-25 18:31:16 UTC
Hi Dan!

Are you still interested in a review?

Cheers,
 Flo

Comment 3 Daniel Vrátil 2014-09-25 18:53:38 UTC
Hi,

sorry, I was busy with other stuff, so I postponed the reviews :) We are targeting Plasma 5 in Fedora 22, so there's lots of time anyway. I'll try to get back to the reviews some time next week :)

Comment 4 Rex Dieter 2014-12-03 19:39:29 UTC
I see:
%package	doc
Conflicts:      kde-runtime < 5.0.0-1
due to
%files doc
%{_datadir}/doc/HTML/en/kdesu
%{_mandir}/man1/kdesu.1.gz

I'd argue there's little need for a -doc subpkg here, I assume you added it only to make the Conflict less bad?

If so, I'll think on how to handle this better... (for example, in f22 we probably won't want to ship both a kde4 and kf5 kdesu, right?)

Comment 5 Daniel Vrátil 2014-12-19 16:25:19 UTC
We will need to ship kde-runtime (KDE 4) as long as we have KDE 4 applications in repos. Without kde-runtime, most KDE 4 apps would be completely useless (if only for missing KIO slaves).

We could split kdesu from kde-runtime as well as from kde-cli-tools to provide a more fine-grained packaging, as well as reduce the amount of conflicts. Opinions?

Comment 6 Rex Dieter 2014-12-19 16:28:41 UTC
+1 to splitting out a subpkg named 'kdesu', then the upgrade path will be simpler

Comment 7 Rex Dieter 2014-12-19 16:52:27 UTC
Alternatively, after discussing a bit on irc, we decided the easier path for now is to ship /usr/bin/kdesu in kde-runtime for < f22, and in kde-cli-tools for f22+

whoever owns /usr/bin/kdesu, will also:
Provides: kdesu

Comment 8 Daniel Vrátil 2015-01-06 16:16:39 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kde-cli-tools.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kde-cli-tools-5.1.2-1.fc21.src.rpm

- Updated to upstream latest
- Provides: kdesu = %{version}-%{release}
- Merged -doc to main package
- Removed empty -devel

Comment 9 Florian "der-flo" Lehner 2015-01-06 16:57:04 UTC
Hi Daniel!

Your package does not build.

http://koji.fedoraproject.org/koji/taskinfo?taskID=8540740

Cheers,
 flo

Comment 10 Rex Dieter 2015-01-06 17:42:46 UTC
fyi, should be easy to fix:
   Installed (but unpackaged) file(s) found:
   /usr/share/doc/HTML/en/kdesu/index.cache.bz2
   /usr/share/doc/HTML/en/kdesu/index.docbook
   /usr/share/doc/HTML/en/kdesu/man-kdesu.1.docbook

Comment 12 Florian "der-flo" Lehner 2015-01-16 16:52:55 UTC
Hi Daniel!

Are you aware of the deprecated functions?
KCmdLineOptions, KComponentData, KCmdLineArgs, KGlobal::deref, K4AboutData, KIcon

Fore detailed information take a look at https://kojipkgs.fedoraproject.org//work/tasks/586/8640586/build.log



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- Package installs a %{name}.desktop using desktop-file-install or desktop-
  file-validate if there is such a file.


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL", "LGPL (v2)", "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown
     or generated", "GPL (v3)", "GPL (v2)". 11 files have unknown license.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/kservices5, /usr/share/locale/hne,
     /usr/share/locale/hne/LC_MESSAGES
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/hne,
     /usr/share/locale/hne/LC_MESSAGES, /usr/share/kservices5,
     /usr/share/doc/HTML/en, /usr/share/doc/HTML
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/HTML/en/kdesu
     (kde-runtime-docs)
   ---> https://bugzilla.redhat.com/show_bug.cgi?id=1135465#c7
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[!]: Package complies to the Packaging Guidelines
   ---> there are some issues.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[!]: Latest version is packaged.
   ---> Latest version is 5.2.90 https://projects.kde.org/projects/kde/workspace/kde-cli-tools/repository/diff/CMakeLists.txt?rev=0fb991a5aa8c6acfbf0affd39298b460ecbc6184&rev_to=7a3f75548c7094b778305f9a11fd1abcde05a49e
   
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8640584
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 3532800 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: kde-cli-tools-5.1.95-1.beta.fc20.x86_64.rpm
          kde-cli-tools-5.1.95-1.beta.fc20.src.rpm
kde-cli-tools.x86_64: W: no-manual-page-for-binary kcmshell5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kmimetypefinder5
kde-cli-tools.x86_64: W: no-manual-page-for-binary ktraderclient5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kdecp5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kstart5
kde-cli-tools.x86_64: W: no-manual-page-for-binary ksvgtopng5
kde-cli-tools.x86_64: W: no-manual-page-for-binary keditfiletype5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kioclient5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kde-open5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kdemv5
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
]0;<mock-chroot><mock-chroot>[root@Blacklady /]# rpmlint kde-cli-tools
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5Crash.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5KIOFileWidgets.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5Bookmarks.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5Solid.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5UnitConversion.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5Parts.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5Notifications.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5KIOWidgets.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5KIOCore.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5JobWidgets.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5XmlGui.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libQt5PrintSupport.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5TextWidgets.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5Completion.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5IconThemes.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5ConfigWidgets.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5GuiAddons.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5Codecs.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5ConfigGui.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5Auth.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5CoreAddons.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5SonnetUi.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libKF5ItemViews.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libQt5Xml.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libQt5Network.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libQt5Gui.so.5
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libm.so.6
kde-cli-tools.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkdeinit5_kcmshell5.so /lib64/libgcc_s.so.1
kde-cli-tools.x86_64: W: no-manual-page-for-binary kcmshell5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kmimetypefinder5
kde-cli-tools.x86_64: W: no-manual-page-for-binary ktraderclient5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kdecp5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kstart5
kde-cli-tools.x86_64: W: no-manual-page-for-binary ksvgtopng5
kde-cli-tools.x86_64: W: no-manual-page-for-binary keditfiletype5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kioclient5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kde-open5
kde-cli-tools.x86_64: W: no-manual-page-for-binary kdemv5
1 packages and 0 specfiles checked; 0 errors, 38 warnings.
]0;<mock-chroot><mock-chroot>[root@Blacklady /]# echo 'rpmlint-done:'



Requires
--------
kde-cli-tools (rpmlib, GLIBC filtered):
    /bin/sh
    kf5-filesystem
    libKF5Auth.so.5()(64bit)
    libKF5Bookmarks.so.5()(64bit)
    libKF5Codecs.so.5()(64bit)
    libKF5Completion.so.5()(64bit)
    libKF5ConfigCore.so.5()(64bit)
    libKF5ConfigGui.so.5()(64bit)
    libKF5ConfigWidgets.so.5()(64bit)
    libKF5CoreAddons.so.5()(64bit)
    libKF5Crash.so.5()(64bit)
    libKF5GuiAddons.so.5()(64bit)
    libKF5I18n.so.5()(64bit)
    libKF5IconThemes.so.5()(64bit)
    libKF5ItemViews.so.5()(64bit)
    libKF5JobWidgets.so.5()(64bit)
    libKF5KCMUtils.so.5()(64bit)
    libKF5KDELibs4Support.so.5()(64bit)
    libKF5KIOCore.so.5()(64bit)
    libKF5KIOFileWidgets.so.5()(64bit)
    libKF5KIOWidgets.so.5()(64bit)
    libKF5Notifications.so.5()(64bit)
    libKF5Parts.so.5()(64bit)
    libKF5Pty.so.5()(64bit)
    libKF5Service.so.5()(64bit)
    libKF5Solid.so.5()(64bit)
    libKF5SonnetUi.so.5()(64bit)
    libKF5Su.so.5()(64bit)
    libKF5TextWidgets.so.5()(64bit)
    libKF5UnitConversion.so.5()(64bit)
    libKF5WidgetsAddons.so.5()(64bit)
    libKF5WindowSystem.so.5()(64bit)
    libKF5XmlGui.so.5()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5DBus.so.5()(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Network.so.5()(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5Svg.so.5()(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5X11Extras.so.5()(64bit)
    libQt5Xml.so.5()(64bit)
    libX11.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libkdeinit5_kcmshell5.so()(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
kde-cli-tools:
    kde-cli-tools
    kde-cli-tools(x86-64)
    kdesu
    libkdeinit5_kcmshell5.so()(64bit)



Unversioned so-files
--------------------
kde-cli-tools: /usr/lib64/libkdeinit5_kcmshell5.so
kde-cli-tools: /usr/lib64/qt5/plugins/kcm_filetypes.so

Source checksums
----------------
http://download.kde.org/unstable/plasma/5.1.95/kde-cli-tools-5.1.95.tar.xz :
  CHECKSUM(SHA256) this package     : 09869262bdad7c0ce372ff2d536759455b1a2ecbd027eb0505be343287f893b9
  CHECKSUM(SHA256) upstream package : 09869262bdad7c0ce372ff2d536759455b1a2ecbd027eb0505be343287f893b9


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -rn kde-cli-tools-5.1.95-1.beta.fc21.src.rpm
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 13 Daniel Vrátil 2015-01-20 11:39:41 UTC
> Are you aware of the deprecated functions?
> KCmdLineOptions, KComponentData, KCmdLineArgs, KGlobal::deref, K4AboutData, KIcon

This is not an issue. kde-cli-tools is still compiled against KF5KDE4LibsSupport, which is basically kdelibs4 built against Qt 5 and everything there is considered deprecated and serves as a porting aid before the applications are fully ported to KDE Frameworks and Qt 5 (something like Qt3Support in Qt 4 and Qt4Support in Qt 5).


> Development (unversioned) .so files in -devel subpackage, if present.
> Note: Unversioned so-files directly in %_libdir.

Those are kdeinit preload files, which are unversioned as they don't have any public API/ABI and serve to speed up start of those applications and reduce memory consumption. Obviously we can't put those to -devel as that would break app start. KDE uses this a lot and we generally don't use ldconfig for them, neither we add soname in our packaging

> Package installs a %{name}.desktop using desktop-file-install or desktop-
> file-validate if there is such a file.

Those .desktop files are for KDE-specific non-public services (KService framework) and are installed in KDE-specific directories (/usr/share/kservices5), so we don't validate them in KDE. The .desktop files that should be validate are generally those in /usr/share/applications, as those are "public".

> Latest version is packaged.
>   ---> Latest version is 5.2.90

5.2.90 is current development version (heading towards 5.3 release), the latest RELEASE is 5.1.95, which is 5.2 beta. Plasma 5.2 is due next week.

> Large data in /usr/share should live in a noarch subpackage if package is
>     arched.

Those are mostly translations.

Comment 14 Florian "der-flo" Lehner 2015-01-20 18:02:00 UTC
Hi Daniel!

Thanks for the explanations to the points!

So I can approve this package.

Cheers,
 flo

Comment 15 Daniel Vrátil 2015-01-21 13:12:33 UTC
Awesome, thanks for the review Florian!

Comment 16 Daniel Vrátil 2015-01-21 13:13:37 UTC
New Package SCM Request
=======================
Package Name: kde-cli-tools
Short Description: Tools based on KDE Frameworks 5 to better interact with the system
Upstream URL: https://projects.kde.org/projects/kde/workspace/kde-cli-tools
Owners: group::kde-sig
Branches:
InitialCC:

Comment 17 Gwyn Ciesla 2015-01-21 15:21:31 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.